{% extends 'base.html' %}

{% block title %}Adicionar Despesa - Meu Gerenciador de Finanças{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-md-6 mx-auto">
            <div class="card border-0 shadow-lg">
                <div class="card-header bg-primary text-white">
                    <h2>Adicionar Despesa</h2>
                </div>
                <div class="card-body">
                    <form action="{% url 'despesas' %}" method="post">
                        {% csrf_token %}
                        <!-- Campos de formulário -->
                        <div class="mb-3">
                            <label for="descricao" class="form-label">Descrição</label>
                            <input type="text" class="form-control" id="descricao" name="descricao" required>
                        </div>
                        <div class="mb-3">
                            <label for="categoria" class="form-label">Categoria</label>
                            <input type="text" class="form-control" id="categoria" name="categoria" required>
                        </div>
                        <div class="mb-3">
                            <label for="valor" class="form-label">Valor</label>
                            <input type="number" class="form-control" id="valor" name="valor" step="0.01" required>
                        </div>
                        <button type="submit" class="btn btn-primary">Adicionar Despesa</button> <!-- Botão de envio -->
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
